Bug 987308 - Information that RHQ_AGENT_JAVA_HOME or RHQ_AGENT_JAVA_EXE_FILE_PATH need to be defined before starting JBoss ON Agent should be emphasised in the Installation Guide
Information that RHQ_AGENT_JAVA_HOME or RHQ_AGENT_JAVA_EXE_FILE_PATH need to ...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Documentation (Show other bugs)
JON 3.1.2
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Deon Ballard
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-23 04:27 EDT by bkramer
Modified: 2014-10-23 08:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-09 23:43:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bkramer 2013-07-23 04:27:54 EDT
Document URL: 
https://access.redhat.com/site/documentation/en-US/JBoss_Operations_Network/3.1/html-single/Installation_Guide/index.html

Section Number and Name: 

Describe the issue: 

RHQ_AGENT_JAVA_EXE_FILE_PATH and RHQ_AGENT_JAVA_HOME are only mentioned in the 8.4.2. Running the Agent as a Daemon or init.d Service [1] although if above variables are not defined, JBoss ON Agent will not start and customer's will get message:

"There is no JVM available. Please set RHQ_AGENT_JAVA_HOME or RHQ_AGENT_JAVA_EXE_FILE_PATH appropriately."

[1] https://access.redhat.com/site/documentation/en-US/JBoss_Operations_Network/3.1/html-single/Installation_Guide/index.html#starting-agent-rhel


Suggestions for improvement: 

Additional information:
Comment 1 Larry O'Leary 2013-08-05 15:57:46 EDT
Although the documentation should provide supplemental information, this seems to be on the border of a bug in my opinion. The fact that that JBoss ON requires environment configuration different then the typical Java application seems to indicate that the implementation is at fault.

Bottom line, the agent should probably do a better job at resolving the location of "java".

For the documentation, RHQ_AGENT_JAVA_EXE_FILE_PATH and RHQ_AGENT_JAVA_HOME should only be referenced as an alternative option in the event that JAVA_HOME can not be used. Therefore, instead of emphasizing the special environment properties of RHQ_AGENT... JAVA_HOME should be emphasized as a requirement. For example:

In order to start the JBoss ON agent, the environment variable JAVA_HOME must be defined and point to a valid Java installation. Alternatively, if JAVA_HOME can not be used, RHQ_AGENT_JAVA_HOME or RHQ_AGENT_JAVA_EXE_FILE_PATH can be used. Please note that if RHQ_AGENT_JAVA_EXE_FILE_PATH is used, its value must be the absolute path to the Java binary (i.e. /opt/java/jre1.6.0/bin/java).
Comment 2 Deon Ballard 2014-05-09 23:43:19 EDT
Mass closure of bugs modified in 2013. All of these are in the currently-published docs.

Note You need to log in before you can comment on or make changes to this bug.